Package Details: cinnamon-git 4.2.0.r3.g4d1da807e-1

Git Clone URL: https://aur.archlinux.org/cinnamon-git.git (read-only)
Package Base: cinnamon-git
Description: Linux desktop which provides advanced innovative features and a traditional user experience
Upstream URL: https://github.com/linuxmint/cinnamon
Licenses: GPL2
Conflicts: cinnamon
Provides: cinnamon=4.2.0.r3.g4d1da807e
Submitter: chenxiaolong
Maintainer: eschwartz
Last Packager: eschwartz
Votes: 90
Popularity: 0.050281
First Submitted: 2011-12-21 05:54
Last Updated: 2019-07-03 20:33

Required by (31)

Sources (4)

Latest Comments

« First ‹ Previous ... 4 5 6 7 8 9 10 11 12 13 14 ... Next › Last »

jnbek commented on 2012-05-15 21:40

I see that a bunch of Gnome packages are up for update:

extra/at-spi2-core 2.4.1-1 -> 2.4.2-1
extra/gsettings-desktop-schemas 3.4.1-1 -> 3.4.2-1
extra/gnome-desktop 1:3.4.1-1 -> 1:3.4.2-1
extra/cheese 3.4.1-1 -> 3.4.2-1
extra/gnome-online-accounts 3.4.1-1 -> 3.4.2-1
extra/evolution-data-server 3.4.1-1 -> 3.4.2-1
extra/glib-networking 2.32.1-1 -> 2.32.3-1
extra/gnome-backgrounds 3.4.1-1 -> 3.4.2-1
extra/pygobject-devel 3.2.1-1 -> 3.2.2-1
extra/python2-gobject 3.2.1-1 -> 3.2.2-1
extra/gnome-menus 3.4.0-1 -> 3.4.2-1
extra/gnome-settings-daemon 3.4.1-2 -> 3.4.2-1
extra/gnome-control-center 3.4.1-2 -> 3.4.2-1
extra/libwnck3 3.4.0-1 -> 3.4.2-1
extra/gnome-panel 3.4.1-2 -> 3.4.2.1-1
extra/gnome-session 3.4.1-1 -> 3.4.2-1
extra/gnome-themes-standard 3.4.1-1 -> 3.4.2-1

I also note the non-existence of muffin-git and cinnamon-git upgrades. I've been bit in the butt a couple times now anyone else made these upgrades and have cinnamon-git stop working?

chenxiaolong commented on 2012-05-11 14:50

@inp3dance: I can't go to https://github.com at all right now, so they're probably down for maintenance :)

On Arch Linux, KDM gets the sessions from /usr/share/apps/kdm/sessions. When github is back up, I'll make an update that symlinks /usr/share/xsessions/cinnamon.desktop to /usr/share/apps/kdm/sessions/cinnamon.desktop.

inp3dance commented on 2012-05-11 06:25

Failed to update:

==> Validating source files with sha512sums...
cinnamon-settings-hack.patch ... Passed
0001-Fixed-not-updating-issue-611.patch ... Passed
==> Extracting Sources...
==> Removing existing pkg/ directory...
==> Starting build()...
==> Connecting to GIT server....
Cloning into 'Cinnamon'...
error: The requested URL returned error: 403 while accessing https://github.com/linuxmint/Cinnamon.git/info/refs
fatal: HTTP request failed
==> ERROR: A failure occurred in build().
Aborting...
The build failed.

I also have an older version installed (about 1 month ago), but in KDE I don's see the Cinnamon session, despite that /usr/share/xsessions/cinnamon.desktop exists. I don't have other DM to test.
Thanks!

inp3dance commented on 2012-05-10 23:12

Failed to update:

==> Validating source files with sha512sums...
cinnamon-settings-hack.patch ... Passed
0001-Fixed-not-updating-issue-611.patch ... Passed
==> Extracting Sources...
==> Removing existing pkg/ directory...
==> Starting build()...
==> Connecting to GIT server....
Cloning into 'Cinnamon'...
error: The requested URL returned error: 403 while accessing https://github.com/linuxmint/Cinnamon.git/info/refs
fatal: HTTP request failed
==> ERROR: A failure occurred in build().
Aborting...
The build failed.

I also have an older version installed (about 1 month ago), but in KDE I don's see the Cinnamon session, despite that /usr/share/xsessions/cinnamon.desktop exists. I don't have other DM to test.
Thanks!

Anonymous comment on 2012-05-10 16:50

@linfan: thank you for the comments. You are right again. I my case, I've run gnome-shell for 3 or 4 months in production enviroment. I really don't like it and I don't like the methods we have to tweak. I moved to xfce, fast interface and all gnome 3 apps I need. The better, memory load is arond 500mb when running chrome, gedit, thunderbird and skype at the same time. Enough room to open IE7, which I need to test my web sites, using VirtualBox, even in my small 2gb memory laptop. Anyhow I'll be following gnome deployments and, maybe some day I'll came back.

chenxiaolong commented on 2012-05-10 03:57

@mininessie: That depends on the AUR helper you use. I use yaourt, which can recognize those versioned dependencies correctly.

mininessie commented on 2012-05-10 01:32

why doesn't muffing-git install first

Anonymous comment on 2012-05-09 20:21

error: target not found: muffin-git>=20120507
-> You need to update muffin-git first.

Anonymous comment on 2012-05-09 20:12

How do you apply the cinnamon-settings-hack.patch? i tried reinstalling cinnamon-git but i get:

==> Continue building cinnamon-git ? [Y/n]
==> --------------------------------------
==>
==> Building and installing package
==> Install or build missing dependencies for cinnamon-git:
==> Determining latest git revision...
-> Version found: 20120509
==> Making package: cinnamon-git 20120509-1 (Wed May 9 08:45:38 CST 2012)
==> Checking runtime dependencies...
==> Installing missing dependencies...
error: target not found: muffin-git>=20120507
==> ERROR: 'pacman' failed to install missing dependencies.
==> ERROR: Makepkg was unable to build cinnamon-git.

if i try to restart building, but i get the same error all over again.

chenxiaolong commented on 2012-05-09 07:05

I just tried it and it seems to be broken for me too. None of the other settings in dconf work either :(